# Create

Launch stage: GA

`POST /api/2.0/git-credentials`

Creates a Git credential entry for the user. 
 Use the PATCH endpoint to update existing credentials, or the DELETE endpoint to
 delete existing credentials.

API scopes: workspace

## Request body

- `git_provider` (string, optional)
  Git provider. This field is case-insensitive. The available Git providers are `gitHub`,
   `bitbucketCloud`, `gitLab`, `azureDevOpsServices` (Azure DevOps Services, including
   Microsoft Entra ID authentication), `gitHubEnterprise`, `bitbucketServer` (Bitbucket
   Data Center), `gitLabEnterpriseEdition` (GitLab Self-Managed), and `awsCodeCommit`.
  Example: `gitHub`
- `git_username` (string, optional)
  The username provided with your Git provider account and associated with the
   credential. For most Git providers it is only used to set the Git committer & author names for commits, 
   however it may be required for authentication depending on your Git provider / token requirements.
   Required for AWS CodeCommit.
  Example: `testuser`
- `personal_access_token` (string, optional)
  The personal access token used to authenticate to the corresponding Git provider.
   For certain providers, support may exist for other types of scoped access tokens.
   [Learn more](https://docs.databricks.com/repos/get-access-tokens-from-git-provider.html).
- `principal_id` (int64, optional)
  The ID of the service principal whose credentials will be modified. Only service principal managers can perform this action.
  Example: `8573549053511`
- `name` (string, optional, Public Preview)
  the name of the git credential, used for identification and ease of lookup
  Example: `My GitHub PAT`
- `is_default_for_provider` (boolean, optional, Public Preview)
  if the credential is the default for the given provider
  Example: `false`
- `git_email` (string, optional)
  The authenticating email associated with your Git provider user account.
   Used for authentication with the remote repository and also sets the author & committer identity for commits.
   Required for most Git providers except AWS CodeCommit.
   Learn more at https://docs.databricks.com/aws/en/repos/get-access-tokens-from-git-provider
  Example: `user@your-organization.com`

## Returns

- `credential_id` (int64, optional)
  ID of the credential object in the workspace.
  Example: `93488329053511`
- `git_provider` (string, optional)
  The Git provider associated with the credential.
  Example: `gitHub`
- `git_username` (string, optional)
  The username provided with your Git provider account and associated with the
   credential. For most Git providers it is only used to set the Git committer & author names for commits, 
   however it may be required for authentication depending on your Git provider / token requirements.
   Required for AWS CodeCommit.
  Example: `testuser`
- `name` (string, optional, Public Preview)
  the name of the git credential, used for identification and ease of lookup
  Example: `My GitHub PAT`
- `is_default_for_provider` (boolean, optional, Public Preview)
  if the credential is the default for the given provider
  Example: `false`
- `git_email` (string, optional)
  The authenticating email associated with your Git provider user account.
   Used for authentication with the remote repository and also sets the author & committer identity for commits.
   Required for most Git providers except AWS CodeCommit.
   Learn more at https://docs.databricks.com/aws/en/repos/get-access-tokens-from-git-provider
  Example: `user@your-organization.com`

## Response

### The credential was successfully configured.

```json
{
  "credential_id": "93488329053511",
  "git_provider": "gitHub",
  "git_username": "testuser"
}
```

